# -*- encoding: utf-8 -*-
# stub: aliyun-sdk 0.8.0 ruby lib
# stub: ext/crcx/extconf.rb

Gem::Specification.new do |s|
  s.name = "aliyun-sdk".freeze
  s.version = "0.8.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Tianlong Wu".freeze]
  s.bindir = "lib/aliyun".freeze
  s.date = "2023-09-05"
  s.description = "A Ruby program to facilitate accessing Aliyun Object Storage Service".freeze
  s.email = ["rockuw.@gmail.com".freeze]
  s.extensions = ["ext/crcx/extconf.rb".freeze]
  s.extra_rdoc_files = ["README.md".freeze, "CHANGELOG.md".freeze]
  s.files = ["CHANGELOG.md".freeze, "README.md".freeze, "examples/aliyun/oss/bucket.rb".freeze, "examples/aliyun/oss/callback.rb".freeze, "examples/aliyun/oss/object.rb".freeze, "examples/aliyun/oss/resumable_download.rb".freeze, "examples/aliyun/oss/resumable_upload.rb".freeze, "examples/aliyun/oss/streaming.rb".freeze, "examples/aliyun/oss/using_sts.rb".freeze, "examples/aliyun/sts/assume_role.rb".freeze, "ext/crcx/crc64_ecma.c".freeze, "ext/crcx/crcx.c".freeze, "ext/crcx/crcx.h".freeze, "ext/crcx/extconf.rb".freeze, "lib/aliyun/common.rb".freeze, "lib/aliyun/common/exception.rb".freeze, "lib/aliyun/common/logging.rb".freeze, "lib/aliyun/common/struct.rb".freeze, "lib/aliyun/oss.rb".freeze, "lib/aliyun/oss/bucket.rb".freeze, "lib/aliyun/oss/client.rb".freeze, "lib/aliyun/oss/config.rb".freeze, "lib/aliyun/oss/download.rb".freeze, "lib/aliyun/oss/exception.rb".freeze, "lib/aliyun/oss/http.rb".freeze, "lib/aliyun/oss/iterator.rb".freeze, "lib/aliyun/oss/multipart.rb".freeze, "lib/aliyun/oss/object.rb".freeze, "lib/aliyun/oss/protocol.rb".freeze, "lib/aliyun/oss/struct.rb".freeze, "lib/aliyun/oss/upload.rb".freeze, "lib/aliyun/oss/util.rb".freeze, "lib/aliyun/sts.rb".freeze, "lib/aliyun/sts/client.rb".freeze, "lib/aliyun/sts/config.rb".freeze, "lib/aliyun/sts/exception.rb".freeze, "lib/aliyun/sts/protocol.rb".freeze, "lib/aliyun/sts/struct.rb".freeze, "lib/aliyun/sts/util.rb".freeze, "lib/aliyun/version.rb".freeze, "spec/aliyun/oss/bucket_spec.rb".freeze, "spec/aliyun/oss/client/bucket_spec.rb".freeze, "spec/aliyun/oss/client/client_spec.rb".freeze, "spec/aliyun/oss/client/resumable_download_spec.rb".freeze, "spec/aliyun/oss/client/resumable_upload_spec.rb".freeze, "spec/aliyun/oss/http_spec.rb".freeze, "spec/aliyun/oss/multipart_spec.rb".freeze, "spec/aliyun/oss/object_spec.rb".freeze, "spec/aliyun/oss/service_spec.rb".freeze, "spec/aliyun/oss/util_spec.rb".freeze, "spec/aliyun/sts/client_spec.rb".freeze, "spec/aliyun/sts/util_spec.rb".freeze, "tests/config.rb".freeze, "tests/helper.rb".freeze, "tests/test_bucket.rb".freeze, "tests/test_content_encoding.rb".freeze, "tests/test_content_type.rb".freeze, "tests/test_crc_check.rb".freeze, "tests/test_custom_headers.rb".freeze, "tests/test_encoding.rb".freeze, "tests/test_large_file.rb".freeze, "tests/test_multipart.rb".freeze, "tests/test_object_acl.rb".freeze, "tests/test_object_key.rb".freeze, "tests/test_object_url.rb".freeze, "tests/test_resumable.rb".freeze]
  s.homepage = "https://github.com/aliyun/aliyun-oss-ruby-sdk".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Aliyun OSS SDK for Ruby".freeze
  s.test_files = ["spec/aliyun/oss/bucket_spec.rb".freeze, "spec/aliyun/oss/client/bucket_spec.rb".freeze, "spec/aliyun/oss/client/client_spec.rb".freeze, "spec/aliyun/oss/client/resumable_download_spec.rb".freeze, "spec/aliyun/oss/client/resumable_upload_spec.rb".freeze, "spec/aliyun/oss/http_spec.rb".freeze, "spec/aliyun/oss/multipart_spec.rb".freeze, "spec/aliyun/oss/object_spec.rb".freeze, "spec/aliyun/oss/service_spec.rb".freeze, "spec/aliyun/oss/util_spec.rb".freeze, "spec/aliyun/sts/client_spec.rb".freeze, "spec/aliyun/sts/util_spec.rb".freeze, "tests/config.rb".freeze, "tests/helper.rb".freeze, "tests/test_bucket.rb".freeze, "tests/test_content_encoding.rb".freeze, "tests/test_content_type.rb".freeze, "tests/test_crc_check.rb".freeze, "tests/test_custom_headers.rb".freeze, "tests/test_encoding.rb".freeze, "tests/test_large_file.rb".freeze, "tests/test_multipart.rb".freeze, "tests/test_object_acl.rb".freeze, "tests/test_object_key.rb".freeze, "tests/test_object_url.rb".freeze, "tests/test_resumable.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<nokogiri>.freeze, ["~> 1.6"])
    s.add_runtime_dependency(%q<rest-client>.freeze, ["~> 2.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["< 3"])
    s.add_development_dependency(%q<rake>.freeze, ["< 14"])
    s.add_development_dependency(%q<rake-compiler>.freeze, ["< 2"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.3"])
    s.add_development_dependency(%q<webmock>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<simplecov>.freeze, ["< 1"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.8"])
  else
    s.add_dependency(%q<nokogiri>.freeze, ["~> 1.6"])
    s.add_dependency(%q<rest-client>.freeze, ["~> 2.0"])
    s.add_dependency(%q<bundler>.freeze, ["< 3"])
    s.add_dependency(%q<rake>.freeze, ["< 14"])
    s.add_dependency(%q<rake-compiler>.freeze, ["< 2"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.3"])
    s.add_dependency(%q<webmock>.freeze, ["~> 3.0"])
    s.add_dependency(%q<simplecov>.freeze, ["< 1"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.8"])
  end
end
